Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage
Class SampleDimensionType

    Object
      CodeList<SampleDimensionType>
          SampleDimensionType

All Implemented Interfaces:
  Serializable, Comparable<SampleDimensionType>

    @UML(identifier="CV_SampleDimensionType",
         specification=OGC_01004)
    public final class SampleDimensionType

extends CodeList<SampleDimensionType>

Specifies the various dimension types for coverage values. For grid coverages, these correspond to band types.

WARNING: THIS CLASS WILL CHANGE. Current API is derived from OGC Grid Coverages Implementation specification 1.0. We plan to replace it by new interfaces derived from ISO 19123 (Schema for coverage geometry and functions). Current interfaces should be considered as legacy and are included in this distribution only because they were part of GeoAPI 1.0 release. We will try to preserve as much compatibility as possible, but no migration plan has been determined yet.

Since:
  GeoAPI 1.0
Version:
  Grid Coverage specification 1.0
See Also:
  `SampleDimension`, Serialized Form

Field Summary
`static SampleDimensionType` | `REAL_32BITS` Simple precision floating point numbers.
`static SampleDimensionType` | `REAL_64BITS` Double precision floating point numbers.
`static SampleDimensionType` | `SIGNED_16BITS` Signed 16 bits integers.
`static SampleDimensionType` | `SIGNED_32BITS` Signed 32 bits integers.
`static SampleDimensionType` | `SIGNED_8BITS` Signed 8 bits integers.
`static SampleDimensionType` | `UNSIGNED_16BITS` Unsigned 16 bits integers.
`static SampleDimensionType` | `UNSIGNED_1BIT` Unsigned 1 bit integers.
`static SampleDimensionType` | `UNSIGNED_2BITS` Unsigned 2 bits integers.
`static SampleDimensionType` | `UNSIGNED_32BITS` Unsigned 32 bits integers.
`static SampleDimensionType` | `UNSIGNED_4BITS` Unsigned 4 bits integers.
`static SampleDimensionType` | `UNSIGNED_8BITS` Unsigned 8 bits integers.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static SampleDimensionType` | `valueOf(String code)` Returns the SampleDimensionType that matches the given string, or returns a new one if none match it.
`static SampleDimensionType[]` | `values()` Returns the list of `SampleDimensionType`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNSIGNED_1BIT

    @UML(identifier="CV_1BIT",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final SampleDimensionType UNSIGNED_1BIT

  Unsigned 1 bit integers.

### UNSIGNED_2BITS

    @UML(identifier="CV_2BIT",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final SampleDimensionType UNSIGNED_2BITS

  Unsigned 2 bits integers.

### UNSIGNED_4BITS

    @UML(identifier="CV_4BIT",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final SampleDimensionType UNSIGNED_4BITS

  Unsigned 4 bits integers.

### UNSIGNED_8BITS

    @UML(identifier="CV_8BIT_U",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final SampleDimensionType UNSIGNED_8BITS

  Unsigned 8 bits integers.

  See Also:
    `SIGNED_8BITS`, `DataBuffer.TYPE_BYTE`

### SIGNED_8BITS

    @UML(identifier="CV_8BIT_S",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final SampleDimensionType SIGNED_8BITS

  Signed 8 bits integers.

  See Also:
    `UNSIGNED_8BITS`

### UNSIGNED_16BITS

    @UML(identifier="CV_16BIT_U",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final SampleDimensionType UNSIGNED_16BITS

  Unsigned 16 bits integers.

  See Also:
    `SIGNED_16BITS`, `DataBuffer.TYPE_USHORT`

### SIGNED_16BITS

    @UML(identifier="CV_16BIT_S",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final SampleDimensionType SIGNED_16BITS

  Signed 16 bits integers.

  See Also:
    `UNSIGNED_16BITS`, `DataBuffer.TYPE_SHORT`

### UNSIGNED_32BITS

    @UML(identifier="CV_32BIT_U",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final SampleDimensionType UNSIGNED_32BITS

  Unsigned 32 bits integers.

  See Also:
    `SIGNED_32BITS`

### SIGNED_32BITS

    @UML(identifier="CV_32BIT_S",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final SampleDimensionType SIGNED_32BITS

  Signed 32 bits integers.

  See Also:
    `UNSIGNED_32BITS`, `DataBuffer.TYPE_INT`

### REAL_32BITS

    @UML(identifier="CV_32BIT_REAL",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final SampleDimensionType REAL_32BITS

  Simple precision floating point numbers.

  See Also:
    `REAL_64BITS`, `DataBuffer.TYPE_FLOAT`

### REAL_64BITS

    @UML(identifier="CV_64BIT_REAL",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final SampleDimensionType REAL_64BITS

  Double precision floating point numbers.

  See Also:
    `REAL_32BITS`, `DataBuffer.TYPE_DOUBLE`

Method Detail

### values

    public static SampleDimensionType[] values()

  Returns the list of `SampleDimensionType`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<SampleDimensionType>`

### valueOf

    public static SampleDimensionType valueOf(String code)

  Returns the SampleDimensionType that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.